<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
<meta charset="utf-8">
<meta http-equiv="x-ua-compatible" content="ie=edge">
<title>Music All In</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<link th:href="@{/img/mini-logo.ico}" rel="icon" type="image/ico" sizes="any">
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.4.1/css/all.css" integrity="sha384-5sAR7xN1Nv6T6+dT2mhtzEpVJvfS3NScPQTrOxhwjIuvcA67KV2R5Jz6kr4abQsz" crossorigin="anonymous">
<link th:href="@{/css/style.css}" rel="stylesheet">
<link th:href="@{/css/simple-line-icons.css}" rel="stylesheet">
<link th:href="@{/css/pace.css}" rel="stylesheet">
<link href="../../datatables/DataTables-1.10.20/css/dataTables.bootstrap4.css" rel="stylesheet">
<link href="../../datatables/DataTables-1.10.20/css/dataTables.buttons.css" rel="stylesheet">
</head>
<body id="sidebar" class="app header-fixed sidebar-fixed aside-menu-fixed sidebar-lg-show">
	<th:block th:include="fragments/header"></th:block>
	<div class="app-body">
		<th:block th:include="fragments/sidebar"></th:block>
		<main class="main">
			<div class="container-fluid">
				<nav aria-label="breadcrumb">
					<ol class="breadcrumb">
						<li class="breadcrumb-item active" aria-current="page">My Instruments</li>
					</ol>
				</nav>
                <section class="page-content">
                	<div class="position-relative border-bottom page-title">
                        <h2>My instruments</h2>
                        <div class="position-absolute back-button">
                            <button class="btn btn-primary goto" onclick="history.back(-1)">Back</button>
                        </div>
                    </div>
                    <div class="animated fadeIn">
						<div class="text-center card-body col-md-12">
							<div th:switch="${myInstruments}" class="container mt-3">
								<div class="col-md-12 mt-4">
									<h2 th:case="null">No instruments yet!</h2>
									<div th:case="*">
										<table id="myInstrumentsTable" class="table table-bordered table-hover table-sm" style="width:100%">
											<thead class="thead-dark">
												<tr>
												<th>Name</th>
												<th>Rental Rate</th>
												<th>State</th>
												<th>Actions</th>
												</tr>
											</thead>
											<tbody>
												<tr th:each="instrument : ${myInstruments}" style="height: 42px;">
													<td th:text="${instrument.name}"></td>
													<td th:text="${instrument.rentalRate}"></td>
													<td th:text="${instrument.state}"></td>
													<td class="dt-center text-center">
														<div role="group">
															<div sec:authorize="hasAuthority('STUDENT')">
																<a th:href="@{/instruments/return/{studentId}/{instrumentId}(studentId=${studentId},instrumentId=${instrument.id})}" class="btn btn-warning" style="height: 35px; width: 45px;"><i class="fas fa-reply"></i></a>
															</div>
														</div>
													</td>
												</tr>
											</tbody>
										</table>
									</div>
								</div>
							</div>
						</div>
					</div>
                </section>
			</div>
		</main>
	</div>
	<th:block th:include="fragments/footer"></th:block>
	<script src="../../js/jquery.js"></script>
	<script	src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"></script>
	<script src="../../datatables/DataTables-1.10.20/js/jquery.dataTables.js"></script>
    <script src="../../datatables/DataTables-1.10.20/js/dataTables.bootstrap4.js"></script>
    <script src="../../datatables/DataTables-1.10.20/js/dataTables.buttons.js"></script>	
	<script src="../../js/pace.js"></script>
	<script src="../../js/jquery.blockUI.js"></script>
	<script src="../../js/action.js"></script>
	<script src="../../js/fragments/sidebar.js"></script>
	<script src="../../js/instruments/my-instruments.js"></script>
</body>
</html>